#ifndef __NTPROC_P_H__
#define __NTPROC_P_H__

typedef void (_CALLBACK_ *SignalHandler)(int);
    
extern SignalHandler Signal _P_((int sig, SignalHandler handler));
extern int Wait _P_((int *status));
extern int Spawnve _P_((int mode, char *cmdname, char **argv, char **envp));
extern void RegisterChild _P_((int pid, int fd));
extern int ReadChildOutput _P_((int fd, char *buf, int max));
extern int Win32KillProcess _P_((int pid, int sig));

#ifdef EMACSDEBUG
extern void _VARARGS_ _DebPrint _P_((char *fmt, ...));
#define DebPrint(args) _DebPrint args
#else
#define DebPrint(args)
#endif

#endif
